package intrinsic.mx.rpc.events;

public class XMLLoadEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public intrinsic.XML xml;
	public String location;

	/** Constants */
	public static final String LOAD = "load";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public XMLLoadEvent() {
}

public XMLLoadEvent(String arg0) {
}

public XMLLoadEvent(String arg0, boolean arg1) {
}

public XMLLoadEvent(String arg0, boolean arg1, boolean arg2) {
}

public XMLLoadEvent(String arg0, boolean arg1, boolean arg2, intrinsic.XML arg3) {
}

public XMLLoadEvent(String arg0, boolean arg1, boolean arg2, intrinsic.XML arg3, String arg4) {
}


/** Static Methods */
public static native intrinsic.mx.rpc.events.XMLLoadEvent createEvent();
public static native intrinsic.mx.rpc.events.XMLLoadEvent createEvent(intrinsic.XML arg0);
public static native intrinsic.mx.rpc.events.XMLLoadEvent createEvent(intrinsic.XML arg0, String arg1);

/** Methods */
public native String toString();
public native Object clone();

}
